import { Encoder, Decoder } from "../../core/converter";
export declare class XORConverter implements Encoder<Uint8Array, Uint8Array>, Decoder<Uint8Array, Uint8Array> {
    key: Uint8Array;
    constructor(key: Uint8Array);
    encode(data: Uint8Array): Uint8Array;
    decode(data: Uint8Array): Uint8Array;
}
